#include <WiFi.h>
#include <WiFiClient.h>
#include <WebServer.h>

const char* ssid = "abc";
const char* password = "def";

WebServer server(80);
IPAddress apIP(192, 168, 178, 1);

void setup(){
  Serial.begin(9600);
  WiFi.mode(WIFI_STA);
  WiFi.begin(ssid, password);
  
  while (WiFi.status() != WL_CONNECTED){
    delay(500);
    Serial.print(".");
  }
  
  Serial.println("");
  Serial.print("IP Addresse: ");
  Serial.println(WiFi.localIP());
  server.on("/", handleStartpage);
  server.onNotFound(handlePageNotFound);
  server.begin();
  Serial.println("HTTP Server gestartet");
}

void handleStartpage(){
  String page = "";
  page += "<!DOCTYPE html>";
  page += "<html>";
  page += "<head><title>Hello from ESP32</title></head>";
  page += "<body>";
  page += "<h1>Hello World!</h1>";
  page += "</body>";
  page += "</html>";
  server.send(200, "text/html", page);
}

void handlePageNotFound(){
  String page = "";
  page += "<!DOCTYPE html>";
  page += "<html>";
  page += "<head><title>Error HTTP 404</title></head>";
  page += "<body>";
  page += "<h1>Page not found!</h1>";
  page += "</body>";
  page += "</html>";
  server.send(404, "text/html", page);
}

void loop(void){
  server.handleClient();
}
